Bug 884901 - support RHEL3 on oVirt/RHEV
Summary: support RHEL3 on oVirt/RHEV
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: scheduler
Version: 0.10
Hardware: Unspecified
OS: Unspecified
low
unspecified vote
Target Milestone: 0.12
Assignee: Qixiang Wan
QA Contact: Dan Callaghan
URL:
Whiteboard: Cloud
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-07 01:12 UTC by Dan Callaghan
Modified: 2018-02-06 00:41 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-11 04:57:05 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2012-12-07 01:12:45 UTC
Beaker's oVirt/RHEV integration is currently hardcoded to exclude RHEL3 because it doesn't have virtio drivers and we always create the VM with virtio disks and network devices. We should use emulated hardware for RHEL3 instead.

We should also set up better facilities for white-listing/black-listing virtio instead of just hardcoding the string 'RedHatEnterpriseLinux3'.

Marking priority as low since testing demand is quite low for old distros which lack virtio drivers.

Comment 1 Qixiang Wan 2013-02-06 11:01:37 UTC
on gerrit: http://gerrit.beaker-project.org/#/c/1708/

Comment 4 Dan Callaghan 2013-04-11 04:57:05 UTC
Beaker 0.12 has been released.


Note You need to log in before you can comment on or make changes to this bug.